Observable Properties
=====================

Observing your own classes
--------------------------

Properties whose value doesn't change.

.. module:: gtkmvc.observable

.. autoclass:: Observable
    :members:
    :undoc-members:
    :show-inheritance:

.. autofunction:: observed

Signals
-------

.. autoclass:: Signal
    :members:
    :undoc-members:
    :show-inheritance:

Wrapping values
---------------

Properties whose value doesn't change
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. module:: gtkmvc.support.wrappers

.. autoclass:: ObsWrapperBase
    :show-inheritance:

.. autoclass:: ObsWrapper
    :show-inheritance:

.. autoclass:: ObsUserClassWrapper
    :show-inheritance:

Mutable properties
^^^^^^^^^^^^^^^^^^

.. autoclass:: ObsSeqWrapper

.. autoclass:: ObsMapWrapper

.. autoclass:: ObsListWrapper
